import java.util.*;

public class ThreadYield implements Runnable {

  public static void main( String args[] ) {
    ThreadYield thY1 = new ThreadYield();
    ThreadYield thY2 = new ThreadYield();
    Thread th1 = new Thread( thY1 );
    th1.setName("Thread 1>>> ");
    Thread th2 = new Thread( thY2 );
    th2.setName("Thread 2>>> ");
    System.out.println( "Start von Thread 1" );
    System.out.println( "Start von Thread 2" );
    th1.start();
    th2.start();
  }
  public void run() {
    int i = 0;
    while ( i < 10 ) {
      synchronized (getClass()) {
        System.out.print( Thread.currentThread().getName() + ", Prioritt: " );
        System.out.print( Thread.currentThread().getPriority() );
        System.out.print( ":   " );
        System.out.println( i++ );
      }
      Thread.yield();
    }
  }
}

